﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Optiroute.Web.Models.Home
{
    public class ResultRoutesViewModel
    {
        public List<ResultRoute> ResultRoutes { get; set; } = new List<ResultRoute>();
        public string WeightIcon { get; set; }
        public string TravelModeIcon { get; set; }
        public bool FailedToFindRoute { get; set; }
        public string LenghtUnits { get; set; }
    }
    public class ResultRoute
    {
        public string Name { get; set; }
        public string Shortname { get; set; }
        public string LenghtRouteText { get; set; }
        //Doba výpočtu algoritmu
        public long ClockedTime { get; set; }
        //Délka cesty algoritmu podle zvolených jednotek
        public int LenghtRoute { get; set; }
        public bool FastestAlgorithm { get; set; }
        public bool ShortestRoute { get; set; }
        public List<string> AlgorithmRoute { get; set; } = new List<string>();
        public List<Route> RoutesWithTime { get; set; } = new List<Route>();
        public class Route
        {
            public String OriginName { get; set; }
            public String DestinationName { get; set; }
            public bool OriginEndCity { get; set; }
            public String LenghtText { get; set; }
        }
    }
}
