﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Optiroute.Web.Models.Home
{
    public class RouteListViewModel
    {
        public List<RouteListSetViewModel> Routes { get; set; } = new List<RouteListSetViewModel>();
    }
    public class RouteListSetViewModel
    {
        public string TravelModeText { get; set; }
        public string Icon { get; set; }
        public List<RouteViewModel> Routes { get; set; } = new List<RouteViewModel>();
    }

    public class RouteViewModel
    {
        public int Id { get; set; }
        public string Origin { get; set; }
        public string Destination { get; set; }
        public string DurationText { get; set; }
        public string DistanceText { get; set; }
    }
}
